Package org.apache.sling.scriptingbundle.plugin.capability

# Class ProvidedScriptCapability.Builder

java.lang.Object
org.apache.sling.scriptingbundle.plugin.capability.ProvidedScriptCapability.Builder

Enclosing class:
  ProvidedScriptCapability

public static class ProvidedScriptCapability.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder(Map<String,String> scriptEngineMappings)`

## Method Summary

Modifier and Type
Method
Description
`ProvidedScriptCapability`
`build()`
`ProvidedScriptCapability.Builder`
`withPath(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder(Map<String,String> scriptEngineMappings)

## Method Details

### build

public ProvidedScriptCapability build()

### withPath

public ProvidedScriptCapability.Builder withPath(String path)